@media screen and (min-width: 550px) {
    #welcome-text {
        display: relative;
    }
    
    
    
    .img-container {
        position: relative;
    }

    #welcome-text {
        position: absolute;
        width: 30%;
        z-index: 10;
        background-color: var(--green);
        padding: 1em;
        padding-left: 1.5em;
        padding-right: 1.5em;
        font-family: var(--sans);
        font-size: 2vw;
        color: var(--black);
        border-radius: 10px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    }

    #middle-info {
        display: flex;
        justify-content: space-between;
    }

    #order {
        width: 50%;
    }

    #sidebar {
        width: 100%;
        height: 250px;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, 1fr 10px);
        grid-gap: 4px;
        background-color: var(--white);
    }

    #day-one {
        grid-row: 1 / span 3;
        grid-column: 1 / span 2;
        font-size: 1.7em;
        padding: 1em;
    }

    #day-two {
        grid-row: 1;
        grid-column: 3;
        font-size: 0.9em;
    }

    #day-three {
        grid-row: 3;
        grid-column: 3;
        font-size: 0.9em;
    }

    .forecast {
        margin: 0;
        text-align: center;
        padding: 10px;
        height: 100%;
        box-sizing: border-box;
    }

    .forecast .date {
        font-size: 1.3em;
        margin-bottom: 10px;
    }

    .forecast .temp {
        font-size: 1.5em;
        font-weight: bold;
    }

    .forecast .condition,
    .forecast .humidity {
        font-size: 0.9em;
        margin-top: 5px;
    }

    hr {
        margin: 0;
        border: none;
        border-top: 1px solid #ccc;
    }

    #day-one+hr {
        display: none;
    }

    hr+#day-three {
        margin-top: -10px;
    }
}